Public Attributes | List of all members
_dma_init Struct Reference
Peripheral Driver » HAL Driver » DMA » Structures » DMA Configuration

DMA Configuration Structure definition. More...

`#include <gr55xx_hal_dma.h>`

## Public Attributes
uint32_t | src_request
| Specifies the source request selected for the specified channel. More...
uint32_t | dst_request
| Specifies the destination request selected for the specified channel. More...
uint32_t | direction
| Specifies if the data will be transferred from memory to peripheral, from memory to memory or from peripheral to memory. More...
uint32_t | src_increment
| Specifies whether the srouce address register should be incremented or decrement or not. More...
uint32_t | dst_increment
| Specifies whether the destination address register should be incremented or decrement or not. More...
uint32_t | src_data_alignment
| Specifies the source data width. More...
uint32_t | dst_data_alignment
| Specifies the destination data width. More...
uint32_t | mode
| Specifies the operation mode of the DMA Channel(Normal or Circular). More...
uint32_t | priority
| Specifies the software priority for the DMA Channel. More...

## Detailed Description

DMA Configuration Structure definition.

Definition at line 234 of file gr55xx_hal_dma.h.

## Member Data Documentation

## ◆ direction

uint32_t _dma_init::direction

Specifies if the data will be transferred from memory to peripheral, from memory to memory or from peripheral to memory.

This parameter can be a value of DMA Data Transfer directions

Definition at line 242 of file gr55xx_hal_dma.h.

## ◆ dst_data_alignment

uint32_t _dma_init::dst_data_alignment

Specifies the destination data width.

This parameter can be a value of DMA Destination Data Size Alignment

Definition at line 255 of file gr55xx_hal_dma.h.

## ◆ dst_increment

uint32_t _dma_init::dst_increment

Specifies whether the destination address register should be incremented or decrement or not.

This parameter can be a value of DMA Destination Incremented Mode

Definition at line 249 of file gr55xx_hal_dma.h.

## ◆ dst_request

uint32_t _dma_init::dst_request

Specifies the destination request selected for the specified channel.

This parameter can be a value of DMA request definitions

Definition at line 239 of file gr55xx_hal_dma.h.

## ◆ mode

uint32_t _dma_init::mode

Specifies the operation mode of the DMA Channel(Normal or Circular).

This parameter can be a value of DMA Mode

Note
  The circular buffer mode cannot be used if the memory-to-memory data transfer is configured on the selected Channel

Definition at line 258 of file gr55xx_hal_dma.h.

## ◆ priority

uint32_t _dma_init::priority

Specifies the software priority for the DMA Channel.

This parameter can be a value of DMA Priority Level

Definition at line 263 of file gr55xx_hal_dma.h.

## ◆ src_data_alignment

uint32_t _dma_init::src_data_alignment

Specifies the source data width.

This parameter can be a value of DMA Source Data Size Alignment

Definition at line 252 of file gr55xx_hal_dma.h.

## ◆ src_increment

uint32_t _dma_init::src_increment

Specifies whether the srouce address register should be incremented or decrement or not.

This parameter can be a value of DMA Source Incremented Mode

Definition at line 246 of file gr55xx_hal_dma.h.

## ◆ src_request

uint32_t _dma_init::src_request

Specifies the source request selected for the specified channel.

This parameter can be a value of DMA request definitions

Definition at line 236 of file gr55xx_hal_dma.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_dma.h